Bug 166650 - libmusicbrainz is not enabled
libmusicbrainz is not enabled
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-08-24 08:09 EDT by Stefano Cavallari
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: fc4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-11 15:59:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stefano Cavallari 2005-08-24 08:09:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; it-IT; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I see, from the spec file, that libmusicbrainz is required for the build process,  but then isn't compiled in because of a (hidden) missing dependency. 
This is because amarok needs *both* libmusicbrainz and libtunepimp to enable musicbrainz support. The configure script doesn't explicitely warns about musicbrainz not being compiled in, so it's difficult to understand what the problem is. You can figure out reading the configure script though.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Run amarok. Musicbrainz support isn't enabled despite you have libmusicbrainz package installed.

Additional info:

To add support for musicbrainz you need libtunepimp(-devel) packages in the repository. Maybe you can borrow the spec file used at kde-redhat project.
Comment 1 Michael Schwendt 2005-08-24 08:16:19 EDT
Does libtunepimp still depend on the MAD mp3 decoder?
Comment 2 Stefano Cavallari 2005-08-24 09:13:34 EDT
I didn't know that mp3 decoding was the cause of tunepimp not being built on
fedora extras. I'll investigate to see if it can disabled. It should not know
anything about decoding, except for perfomance purposes.
Comment 3 Stefano Cavallari 2005-08-24 09:21:02 EDT
I don't have a test system without libmad.
Anyway, commenting the libmad test in configure to make it NOT to found it,
doesn't give an error, and just says 

checking for mad_version in -lmad... no
*  The MAD mp3 decoder is not installed. Please download
*  the decoder from http://www.mars.org/home/rob/proj/mpeg
*  to include MP3 TRM generation capabilities.

After that, the configure complete succefully. 
( config.status: creating Makefile and so what )
Comment 4 Michael Schwendt 2005-08-24 10:48:55 EDT
(that's the one I built when testing -- dropping BR libmad-devel is trivial)
Comment 5 Stefano Cavallari 2005-09-09 20:40:39 EDT
So, are libtunepimp and musicbrainz going to be included in fedora extras?
I ask this because I see this bug status is still "new"
Comment 6 Ilya Konstantinov 2005-11-03 06:32:23 EST
libmusicbrainz is included in Fedora (development version) but libtunepimp isn't.
If tunepimp can be built without MAD linkage:
1. Do we lose the ability to generate TRMs for MP3s or does generating TRMs
simply become slower?
2. If I later install a non-Fedora RPM of libtunepimp with MAD linkage, could
Amarok keep using it or would Amarok need to be relinked?
Comment 7 Stefano Cavallari 2006-02-11 10:01:13 EST
I see newer versions of amarok on fc4 have libmusicbrainz enabled (by using
Please set this bug as closed, fixed or whatever, I don't know how to do it by
myself (yet).
Comment 8 Aurelien Bompard 2006-02-11 15:59:59 EST
Thanks, closing.
(P.S.: to close bugs, set the status using the combobox at the bottom of this
page, in the "Bug Status Change" section)

Note You need to log in before you can comment on or make changes to this bug.